# Use a base image with Java and Maven installed
FROM maven:3.8.7-openjdk-18 AS builder

# Set the working directory
WORKDIR /app

# Copy the source code to the container
COPY approvedCheck /app

# Install git
#RUN apt-get update && apt-get install -y git

# Build the JAR file
RUN mvn clean install

FROM keycloak/keycloak:23.0.2

COPY --from=builder /app/target/approvedCheck-0.0.1.jar /opt/keycloak/providers/approvedCheck.jar